- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Properties

# QHistoryState Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qhistorystate.h.

`#include <qhistorystate.h>`

Inheritance diagram for QHistoryState:
[legend]

List of all members.

## Public Types
enum | HistoryType { ShallowHistory, DeepHistory }
## Public Member Functions
| QHistoryState (QState *parent=0)
| QHistoryState (HistoryType type, QState *parent=0)
| ~QHistoryState ()
QAbstractState * | defaultState () const
void | setDefaultState (QAbstractState *state)
HistoryType | historyType () const
void | setHistoryType (HistoryType type)
## Protected Member Functions
void | onEntry (QEvent *event)
void | onExit (QEvent *event)
bool | event (QEvent *e)
## Properties
QAbstractState | defaultState
HistoryType | historyType

## Member Enumeration Documentation

enum HistoryType

Search for all occurrences

Enumerator:

  ShallowHistory | Search for all occurrences
  DeepHistory | Search for all occurrences

Definition at line 63 of file qhistorystate.h.

                         {
            ShallowHistory,
            DeepHistory
        };

## Constructor & Destructor Documentation

QHistoryState | ( | QState * | parent = `0` | ) |

QHistoryState | ( | HistoryType | type,
|  | QState * | parent = `0`
| ) |  |

~QHistoryState | ( |  | ) |

## Member Function Documentation

QAbstractState* defaultState | ( |  | ) | const

Search for all occurrences

void setDefaultState | ( | QAbstractState * | state | ) |

Search for all occurrences

HistoryType historyType | ( |  | ) | const

Search for all occurrences

void setHistoryType | ( | HistoryType | type | ) |

Search for all occurrences

void onEntry | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractState.

void onExit | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Implements QAbstractState.

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractState.

## Property Documentation

QAbstractState defaultState `[read, write]`

Search for all occurrences

Definition at line 59 of file qhistorystate.h.

HistoryType historyType `[read, write]`

Search for all occurrences

Definition at line 60 of file qhistorystate.h.

The documentation for this class was generated from the following file:

- QtCore/qhistorystate.h

QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState
QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState QHistoryState